Package org.apache.nutch.fetcher

## Class FetchNode

- java.lang.Object
- - org.apache.nutch.fetcher.FetchNode

-     public class FetchNode
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FetchNode()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `long` | `getFetchTime()` |
    `Outlink[]` | `getOutlinks()` |
    `int` | `getStatus()` |
    `String` | `getTitle()` |
    `Text` | `getUrl()` |
    `void` | `setFetchTime​(long fetchTime)` |
    `void` | `setOutlinks​(Outlink[] links)` |
    `void` | `setStatus​(int status)` |
    `void` | `setTitle​(String title)` |
    `void` | `setUrl​(Text url)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FetchNode

          public FetchNode()

  - ### Method Detail

    - #### getUrl

          public Text getUrl()

    - #### setUrl

          public void setUrl​(Text url)

    - #### getOutlinks

          public Outlink[] getOutlinks()

    - #### setOutlinks

          public void setOutlinks​(Outlink[] links)

    - #### getStatus

          public int getStatus()

    - #### setStatus

          public void setStatus​(int status)

    - #### getTitle

          public String getTitle()

    - #### setTitle

          public void setTitle​(String title)

    - #### getFetchTime

          public long getFetchTime()

    - #### setFetchTime

          public void setFetchTime​(long fetchTime)